#ifndef STARS_H
#define STARS_H

#include "gfxinterface.h"
#include "vectordeque.t.h"
#include <vector>


class StarsField {
	unsigned speed_;
	typedef VectorDeque<Coord> FieldCtr;
	FieldCtr field_;
	XColor color_;
public:
	StarsField(unsigned speed);
	~StarsField() {}
	void Scroll();
private:
	void DrawAll(X11::Color color) const;
	unsigned RequiredCapacity() const
		{ return X11::Inst().WindowHeight() / speed_ + 1; }
};


void ScrollStarFields(std::vector<StarsField> * stars_fields);


#endif
